Separate pagelib CSS from base CSS
Closed, ResolvedPublic

Description

Based on the discussion in T201384 we want to keep the pagelib CSS separate from the base CSS.

This will probably happen in three stages:

  • Add pagelib CSS endpoint to MCS
  • Expose pagelib CSS in RESTBase
  • Remove pagelib CSS from base CSS and add request to it from the mobile-html endpoint.
bearND created this task.Aug 16 2018, 11:13 PM
bearND triaged this task as Normal priority.
bearND claimed this task.
bearND moved this task from To Do to Doing on the Reading-Infrastructure-Team-Backlog (Kanban) board.
bearND updated the task description. (Show Details)Aug 16 2018, 11:16 PM
bearND updated the task description. (Show Details)

Change 453319 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Add pagelib CSS endpoint

https://gerrit.wikimedia.org/r/453319

Change 453319 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Add pagelib CSS endpoint

https://gerrit.wikimedia.org/r/453319

Mentioned in SAL (#wikimedia-releng) [2018-08-20T20:16:19Z] <mateusbs17> (beta): Update mobileapps to 95e976d (T202105)

Mentioned in SAL (#wikimedia-operations) [2018-08-20T20:29:15Z] <mbsantos@deploy1001> Started deploy [mobileapps/deploy@cae24fe]: Update mobileapps to 95e976d (T202105)

Mentioned in SAL (#wikimedia-operations) [2018-08-20T20:35:35Z] <mbsantos@deploy1001> Finished deploy [mobileapps/deploy@cae24fe]: Update mobileapps to 95e976d (T202105) (duration: 06m 19s)

bearND updated the task description. (Show Details)Aug 20 2018, 8:43 PM
mobrovac added a subscriber: mobrovac.

RB PR to be deployed tomorrow.

Mentioned in SAL (#wikimedia-operations) [2018-08-22T09:54:33Z] <mobrovac@deploy1001> Started deploy [restbase/deploy@5d03f1c]: Expand CSS end points - T202105

Mentioned in SAL (#wikimedia-operations) [2018-08-22T10:08:06Z] <mobrovac@deploy1001> Finished deploy [restbase/deploy@5d03f1c]: Expand CSS end points - T202105 (duration: 13m 33s)

Change 454564 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] CSS: remove pagelib CSS from base CSS

https://gerrit.wikimedia.org/r/454564

Change 454565 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] mobile-html: also request pagelib CSS

https://gerrit.wikimedia.org/r/454565

Change 454565 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] mobile-html: also request pagelib CSS

https://gerrit.wikimedia.org/r/454565

Change 454564 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] CSS: remove pagelib CSS from base CSS

https://gerrit.wikimedia.org/r/454564

Mentioned in SAL (#wikimedia-releng) [2018-08-22T20:05:05Z] <bearND> (beta): Update mobileapps to 141ff20 (T202105 T202237)

Mentioned in SAL (#wikimedia-operations) [2018-08-22T20:28:38Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@f7fa1df]: Update mobileapps to 141ff20 (T202105 T202237)

Mentioned in SAL (#wikimedia-operations) [2018-08-22T20:32:20Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@f7fa1df]: Update mobileapps to 141ff20 (T202105 T202237) (duration: 03m 43s)

Jhernandez closed this task as Resolved.Aug 23 2018, 4:48 PM